Loading...
Searching...
No Matches
PartialFileGuard Class Reference

`#include <util.h>`

## Public Member Functions

| PartialFileGuard (const QString &fileName)
QString | tempFileName () const
bool | commit ()

## Detailed Description

Helper for using a temporary "part" file for writing a result to, similar to what browsers do when downloading files. On success, you commit() which renames the temporary file to the final file name. Otherwise, you do nothing and let the helper remove the temporary file on destruction.

The documentation for this class was generated from the following files:

- util.h
- util.cpp